FUNCTION vs_errbselect, olderrbstate
  COMMON vs_block
  ;;
  ErrbBase = Widget_Base(title='VS Error Bars', /col)
  ErrbLabel = Widget_Label(ErrbBase, val='Show Errorbars?', font=vs_fonts[1])
  ErrbCheck = cw_bgroup(ErrbBase, ['Yes', 'No'], $
                        uval='ErrbChack', $
                        /excl, $
                        font=vs_fonts[1], $
                        /row $
                       )
  ErrbLabel2 = Widget_Label(ErrbBase, $
                            val='Error Bar Size:', $
                            font=vs_fonts[1], $
                           /Align_Left)
  ErrbSize = cw_fslider(ErrbBase, $
                        min=0.0, $
                        max=1.0, $
                        val=0.0, $
                        /edit, $
                        /drag $
                        )
  ErrbControl = Widget_Base(ErrbBase, /row)
  ErrbCancel = Widget_Button(ErrbControl, $
                             val='Cancel', $
                             uval='ErrbCancel', $
                             font=vs_fonts[1])
  ErrbOK = Widget_Button(ErrbControl, val='OK', $
                         uval='ErrbOK', $
                         font=vs_fonts[1])
  IF olderrbstate EQ 0 THEN BEGIN 
      Widget_Control, ErrbSize, sens=0
      Widget_Control, ErrbLabel2, sens=0
      Widget_Control, ErrbCheck, set_val=1
  ENDIF ELSE BEGIN
      Widget_Control, ErrbSize, sens=1
      Widget_Control, ErrbLabel2, sens=1
      Widget_Control, ErrbCheck, set_val=0
      Widget_Control, ErrbSize, set_val=olderrbstate
  ENDELSE 
  Widget_Control, ErrbBase, /realize
  ;;
  ;; start the event loop
  ;;
  Eflag = 0
  WHILE Eflag EQ 0 DO BEGIN
      Event = Widget_Event(ErrbBase)
      CASE Event.ID OF
          ErrbCancel:BEGIN
              Eflag = 1
              widget_control, ErrbBase, /Clear_Events, /Destroy
              return, OldErrbState
          END 
          ErrbOK:BEGIN
              Eflag = 1
              Widget_Control, ErrbSize, get_val=NewErrbState
              widget_control, ErrbBase, /Clear_Events, /Destroy
              return, NewErrbState
          END 
          ErrbCheck:BEGIN
              IF vs_debug THEN print, (Event.Value)
              CASE Event.Value OF 
                  1:BEGIN
                      Widget_Control, ErrbLabel2, sens=1
                      Widget_Control, ErrbSize, sens=1
                  END 
                  0:BEGIN
                     Widget_Control, ErrbLabel2, sens=0
                     Widget_Control, ErrbSize, sens=0
                      Widget_Control, ErrbSize, set_val=0.0
                  END 
              ENDCASE 
              Widget_Control, ErrbCheck, /Clear_Events
          END 
          ELSE:
      ENDCASE 
  ENDWHILE 
  return, -1
  END 
              

